package com.wms.constants.enums;

/**
 * Wcs任务状态的枚举
 */
public enum WcsTaskStatus {
    WAIT(1, "任务排队中"),
    RUN(2, "任务开始执行"),
    LEAVE(3, "任务已经离开初始位置"),
    PARK(4, "任务到达中间点"),
    ARRIVE(5, "任务到达目的地"),
    FINISH(100, "任务完成"),
    CANCEL(998, "任务取消"),
    EXCEPTION(999, "任务异常");

    private final Integer code;
    private final String name;

    WcsTaskStatus(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
